From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-doc/ford/
Date: Wed, 29 Jun 2022 15:38:00 +0000 (UTC) [thread overview]
Message-ID: <1656452708.3890811fec322af84e04d71421b637adaef67015.flow@gentoo> (raw)
commit: 3890811fec322af84e04d71421b637adaef67015
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Tue Jun 28 21:45:08 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Jun 28 21:45:08 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3890811f
app-doc/ford: 6.1.12 version bump
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
app-doc/ford/Manifest | 1 +
app-doc/ford/ford-6.1.12.ebuild | 48 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/app-doc/ford/Manifest b/app-doc/ford/Manifest
index 24e043b62..7bad6fcbc 100644
--- a/app-doc/ford/Manifest
+++ b/app-doc/ford/Manifest
@@ -1,2 +1,3 @@
DIST FORD-6.1.10.tar.gz 5847455 BLAKE2B b575be88434b129289c5098fc3da0216190fa2a953a4ed2bfcc1275a22cc37d8c096dad6fb45ff2606a87ffa179ce31b172ff0a641cf40444f151b30c2cb3bc0 SHA512 2116bb28a3d678216d3b61d53955ef6f199e50d2286491d0d9e867a2f8d53a8c7b5a1cace1671390380a21bdaa86814a3d9625d3919bdce03a22b25b02e06757
DIST FORD-6.1.11.tar.gz 5848224 BLAKE2B f8092b678ab1621f3d295e77b8a308d2f4787baa77b989a0dc07a9b23c0723945a97bca81bda879d7929b8910eb49b635bd052304b3b6d1ba25f8dbb552b676e SHA512 325e8c05b5df6435c164adf24871d9743d2927d862010b005ba87dafd0e44cf1f52dae50d1b2bec5a5f39f935859286e0c9ba5156b24843bc58dc1335c5e1913
+DIST FORD-6.1.12.tar.gz 5849020 BLAKE2B e72937b1930cd774abc444c5a87371525b494caf7dc60f26b6bbae562abb1406fba725c82b4de3b7353251a17bd8c2b4e725e008699a492cce5b7b3e05ca98a4 SHA512 8aed12eb0471db4c92b955509ede9d44d9cf1e8c906fbe32089f473b148d9b368256c23b56b8ce7dcef19dddecb555d649404a847e0318f0749b234347c55cce
diff --git a/app-doc/ford/ford-6.1.12.ebuild b/app-doc/ford/ford-6.1.12.ebuild
new file mode 100644
index 000000000..66ccc5ab8
--- /dev/null
+++ b/app-doc/ford/ford-6.1.12.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_PN="FORD"
+DESCRIPTION="FORD, automatic documentation generator for modern Fortran programs"
+HOMEPAGE="https://github.com/Fortran-FOSS-Programmers/ford"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/markdown-include[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/python-markdown-math[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-python/toposort[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGELOG.md README.md README.rst )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ sed -i -e 's/"cpp /"'"$(tc-getCPP)"' /' ford/__init__.py || die # bug: 839300
+}
+
+python_test(){
+ # The 'test/test_projects' tests use subprocess, i.e. require FORD to be installed.
+ distutils_install_for_testing
+ distutils-r1_python_test
+}
next reply other threads:[~2022-06-29 15:38 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-29 15:38 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-04-19 7:32 [gentoo-commits] repo/proj/guru:master commit in: app-doc/ford/ Florian Schmaus
2023-03-10 5:48 Viorel Munteanu
2023-01-25 10:34 Florian Schmaus
2022-10-29 5:54 Arthur Zamarin
2022-10-29 5:54 Arthur Zamarin
2022-10-29 5:54 Arthur Zamarin
2022-07-23 17:36 Haelwenn Monnier
2022-05-02 7:17 Florian Schmaus
2022-03-18 6:35 Arthur Zamarin
2021-09-20 9:41 Andrew Ammerlaan
2021-09-16 1:07 Haelwenn Monnier
2021-09-08 15:37 Arthur Zamarin
2021-09-08 15:20 Arthur Zamarin
2021-09-07 2:58 Haelwenn Monnier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656452708.3890811fec322af84e04d71421b637adaef67015.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox